@import url('https://fonts.cdnfonts.com/css/gilroy-bold');

@font-face {
    font-family: 'Gilroy-Bold';
    src: local('Gilroy-Bold'), url(./fonts/Gilroy-Bold.ttf) format('truetype');
}

@font-face {
    font-family: 'Gilroy-Medium';
    src: local('Gilroy-Medium'), url(./fonts/Gilroy-Medium.ttf) format('truetype');
}

@font-face {
    font-family: 'Gilroy-Light';
    src: local('Gilroy-Light'), url(./fonts/Gilroy-Light.ttf) format('truetype');
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Gilroy-Medium', sans-serif;
}


article {
    width: 90%;
    margin: 0 auto;
}

.gradient {
    background-image: linear-gradient(90deg, #DD0000 40%, #0737AD 60%);
    background-clip: text;
    color: transparent;
    font-weight: bold;
    display: inline;
}

.section-1-DU {
    /* background-image: radial-gradient(#fff 25%, #fff 5%, #E0E5EC 60%); */
    background-color: #E0E5EC;
    width: 100%;
    height: 150vh;
    z-index: -1;
    position: absolute;
    top: 0;
    padding: 1px 0;
    box-sizing: content-box;
}

.section-2-DU {
    background-image: linear-gradient(90deg, #DD0000 , #0737AD);
}

.Header-pixtouch-DU > article {
    width: 90%;
    background-color: white;
    margin: 40px auto;
    display: flex;
    align-items: center;
    box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
    z-index: 999;
}

.logo-Header-pixtouch-DU {
    flex-basis: 30%;
    display: flex;
    align-items: center;
}

.logo-Header-pixtouch-DU > img {
    width: 250px;
}

.manu-Header-pixtouch-DU {
    flex-basis: 70%;
}

.manu-Header-pixtouch-DU > ul {
    display: flex;
    width: 100%;
    justify-content: space-around;
}

.manu-Header-pixtouch-DU ul {
    list-style: none;
}

.manu-Header-pixtouch-DU > ul > li > a {
    text-decoration: none;
    font-size: 18px;
    color: black;
    padding: 10px 20px;
    background-image: linear-gradient(90deg, #fff, #fff);
    transition: background-image 1s;
}

.manu-Header-pixtouch-DU > ul > li > a:hover {
    background-image: linear-gradient(90deg, #DD0000, #0737AD);
    color: #fff;
}

.product-btn {
    position: relative;
}

.drap-product-btn {
    position: absolute;
    display: none;
    top: 150%;
    width: 160%;
}

.manu-Header-pixtouch-DU > ul > li:hover .drap-product-btn {
    display: block;
}

.drap-product-btn > li {
    position: relative;
    border-top: 2px solid white;
}

.drap-product-btn > li > a {
    display: flex;
    width: 100%;
    align-items: center;
    justify-content: space-between;
}

.drap-product-btn li {
    padding: 10px 20px;
    background-image: linear-gradient(90deg, #DD0000, #0737AD);
}

.drap-product-btn li:hover {
    background-image: linear-gradient(90deg, #0737AD, #DD0000);
}

.drap-product-btn li a {
    color: white;
    text-decoration: none;
}

.drap-product-btn > li > ul {
    position: absolute;
    left: 101%;
    top: 0;
    width: 100%;
    display: none;
    flex-direction: column;
    gap: 2px;
}

.drap-product-btn > li:hover > ul {
    display: flex;
}

.menu-toggle::before {
    content: "\2630"; /* Unicode for hamburger icon */
    font-size: 24px;
    display: none;
}

.footer-pixtouch-DU {
    background-color: #E5E8EE;
    padding: 50px 0 10px;
}

.footer-pixtouch-DU > article {
    display: flex;
    justify-content: space-between;
    gap: 20px;
}

.footer-pixtouch-DU > article > aside {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.footer-pixtouch-DU > article > aside > h3 {
    color: #DD0000;
}

.about-footer-pixtouch-DU {
    flex-basis: 30%;
}

.about-footer-pixtouch-DU > img {
    width: 200px;
}

.footer-pixtouch-DU > article > aside > ol {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.product-footer-pixtouch-DU {
    flex-basis: 20%;
}

.product-footer-pixtouch-DU > ol > li {
    margin: 0px 30px ;
}

.footer-pixtouch-DU > article > aside > ol > li > a {
    text-decoration: none;
    color: black;
    font-size: 18px;
}

.menu-footer-pixtouch-DU {
    flex-basis: 20%;
}

.menu-footer-pixtouch-DU > ol {
    list-style: none;
}

.contact-footer-pixtouch-DU {
    flex-basis: 30%;
}

.contact-footer-pixtouch-DU > form {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.contact-footer-pixtouch-DU > form :is(input, textarea) {
    padding: 10px;
    border: none;
    outline: none;
}

.contact-footer-pixtouch-DU .submit {
    background-color: #DD0000;
    color: white;
    font-size: 18px;
}

.copyrights {
    font-size: 18px;
    color: #686869;
    text-align: center;
}



@media (max-width: 768px) {
    .Header-pixtouch-DU > article {
        width: 100%;
        margin: 20px auto;
        position: relative;
        justify-content: space-between;
        padding: 20px;
    }

    .logo-Header-pixtouch-DU {
        flex-basis: 50%;
        justify-content: center;
        text-align: center;
    }

    .logo-Header-pixtouch-DU > img {
        width: 150px;
    }

    .menu-toggle {
        display: block;
        cursor: pointer;
        background-color: #DD0000;
        color: white;
        text-align: center;
        font-size: 22px;
        z-index: 1000;
        padding: 10px 20px; /* Ensure it appears above other content */
    }

    .menu-toggle:hover {
        background-color: #0737AD;
    }

    .menu-toggle::before {
        display: block;
    }

    .manu-Header-pixtouch-DU {
        flex-basis: 100%;
        text-align: center;
        position: absolute;
        top: 100%;
        width: 100%;
        left: 0;
    }

    .manu-Header-pixtouch-DU > ul {
        flex-direction: column;
        align-items: center;
        justify-content: center;
        display: none; /* Initially hidden */
        background-color: white;
        width: 100%;
        padding: 0;
        margin: 0;
    }

    .manu-Header-pixtouch-DU ul {
        list-style: none;
        padding: 0;
        margin: 0;
        width: 100%;
    }

    .manu-Header-pixtouch-DU > ul > li {
        width: 100%;
    }

    .manu-Header-pixtouch-DU > ul > li > a {
        font-size: 16px;
        padding: 15px;
        width: 100%;
        text-align: center;
        display: block;
    }

    .product-btn > a {
        position: relative;
        width: 100%;
    }

    .drap-product-btn {
        position: static;
        width: 100%;
        display: none;
        background-color: #DD0000;
    }

    .drap-product-btn > ul {
        display: none;
    }

    .manu-Header-pixtouch-DU > ul > li:hover .drap-product-btn,
    .product-btn.active .drap-product-btn {
        display: block;
    }

    .drap-product-btn li {
        padding: 10px;
        background-color: #DD0000;
        width: 100%;
        text-align: center;
    }

    .drap-product-btn li:hover {
        background-color: #0737AD;
    }

    .drap-product-btn li a {
        color: white;
        text-decoration: none;
        display: block;
        padding: 10px;
    }

    .drap-product-btn > li > ul {
        position: static;
        left: 0;
        width: 100%;
        display: block;
    }

    .menu-toggle.active + .manu-Header-pixtouch-DU > ul {
        display: flex;
    }

    .product-btn.active .drap-product-btn {
        display: block;
    }

    .footer-pixtouch-DU > article {
        flex-wrap: wrap;
        gap: 10px;
    }

    .about-footer-pixtouch-DU, .contact-footer-pixtouch-DU {
        flex-basis: 100%;
    }

    .product-footer-pixtouch-DU, .menu-footer-pixtouch-DU {
        flex-basis: 48%;
    }

    .copyrights {
        margin-top: 20px;
    }
    
}

@media (min-width: 1300px) {

    .logo-Header-pixtouch-DU>img {
        width: 300px;
    }

}

@media (min-width: 1600px) {
    .logo-Header-pixtouch-DU>img {
        width: 350px;
    }

    .manu-Header-pixtouch-DU>ul>li a {
        font-size: 22px;
    }
}

.popup-form-pixtouch-DU {
    width: 100%;
    height: 100vh;
    display: none;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: #4c627f75;
    position: fixed;
    top: 0;
}

.popup-form-pixtouch-DU > .contact-footer-pixtouch-DU {
    width: 500px;
    padding: 30px;
    display: flex;
    flex-direction: column;
    gap: 30px;
    text-align: center;
    background-color: #E0E5EC;
    position: relative;
    justify-content: center;
}

.popup-form-pixtouch-DU button{
    width: 20px;
    height: 20px;
    align-items: center;
    position: absolute;
    right: 20px;
    top: 20px;
    background-color: #DD0000;
    color: white;
    border: none;
    border-radius: 50%;
}

@media (max-width: 756px) {
    .popup-form-pixtouch-DU{
        height: 50%;
        top: 50%;
        transform: translate(0, -50%);
    }

    .popup-form-pixtouch-DU > .contact-footer-pixtouch-DU {
        width: 90%;
        height: auto;
        height: 500px;
    }

}